# make_pkgIndex.tcl
#
#       Creates a pkgIndex.tcl file for in the Windows installation
#       directory
#
# Copyright (c) 2000-2001 Tix Project Group.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# $Id: make_pkgIndex.tcl,v 1.1 2001/01/04 09:19:27 ioilam Exp $

if {[llength $argv] != 3} {
    puts "usage: $argv0 <pkgIndex.tcl> <tix dll name> <tix version>"
    exit -1
}

set fd [open [lindex $argv 0] {WRONLY TRUNC CREAT}]
puts -nonewline $fd "package ifneeded Tix [lindex $argv 2] "
puts -nonewline $fd "\[list load \"\[file join \[file dirname "
puts -nonewline $fd "\[file dirname \$dir\]\] bin "
puts -nonewline $fd "[file tail [lindex $argv 1]]\]\" Tix\]"
puts $fd ""
close $fd
